RHEL 7 Install of 9.1 fails

installation
9.1.x

#1

Steps to reproduce

1.rpm --import https://download.owncloud.org/download/repositories/9.1/RHEL_7/repodata/repomd.xml.key
2.wget http://download.owncloud.org/download/repositories/9.1/RHEL_7/ce:9.1.repo -O /etc/yum.repos.d/ce:9.1.repo
3.yum clean expire-cache
4.yum install owncloud

Expected behaviour

OwnCLouod Installs !

Actual behaviour

Error: Package: owncloud-deps-php5-9.1.6-1.1.noarch (ce_9.1)
Requires: php-mbstring

Server configuration

Operating system:
Red Hat Enterprise Linux Server release 7.4 (Maipo)
Web server:
none (yet)
Database:
none (yet)
PHP version:
none (yet)
ownCloud version: (see ownCloud admin page)
None (yet) Attempting 9.1.x
Updated from an older ownCloud or fresh install:
Fresh
Where did you install ownCloud from:
Yum Repos


#2

In the RHEL 7 repos, you get php 5.4.16 by default
v5.4.40, v5.5.21, v5.6.25, and v7.0.10 are currently available in the Software Collections
php-mbstring is available in every version EXCEPT 5.4.16
In the Software Collections, they are named php54-php-mbstring, php55-php-mbstring, rh-php56-php-mbstring and rh-php70-php-mbstring